SELECT LPAD(' ', LEVEL )||sid sid, blocking_session, object_name,
q.sql_text
FROM v$session s, dba_objects o, v$sql q
WHERE (sid IN (SELECT blocking_session FROM v$session)
OR blocking_session IS NOT NULL)
AND o.object_id (+) = s.row_wait_obj#
AND q.sql_id (+) = s.sql_id
CONNECT BY PRIOR sid = blocking_session
START WITH blocking_session IS NULL;