CREATE OR REPLACE PROCEDURE lf_get_ddl (object_type IN VARCHAR2,
object_name IN VARCHAR2)
IS
obj_text VARCHAR2(4000);
line VARCHAR2(500);
BEGIN
  DBMS_METADATA.SET_TRANSFORM_PARAM(DBMS_METADATA.SESSION_TRANSFORM,
'SQLTERMINATOR',TRUE);
  SELECT DBMS_METADATA.GET_DDL(object_type,object_name) INTO obj_text FROM dual;
  DBMS_OUTPUT.PUT_LINE(obj_text);
  EXCEPTION WHEN OTHERS THEN
    NULL;
END;
/
CREATE OR REPLACE PROCEDURE lf_get_granted_ddl (object_type IN VARCHAR2,
object_name IN VARCHAR2)
IS
obj_text VARCHAR2(4000);
line VARCHAR2(500);
BEGIN
  DBMS_METADATA.SET_TRANSFORM_PARAM(DBMS_METADATA.SESSION_TRANSFORM,
'SQLTERMINATOR',TRUE);
  SELECT DBMS_METADATA.GET_GRANTED_DDL(object_type,object_name) INTO obj_text
  FROM dual;
  DBMS_OUTPUT.PUT_LINE(obj_text);
EXCEPTION WHEN OTHERS THEN
  NULL;
END;
/
CREATE OR REPLACE PROCEDURE lf_get_granted_ddl3 (object_type IN VARCHAR2,
object_name IN VARCHAR2, schema IN VARCHAR2)
IS
obj_text VARCHAR2(4000);
line VARCHAR2(500);
BEGIN
  DBMS_METADATA.SET_TRANSFORM_PARAM(DBMS_METADATA.SESSION_TRANSFORM,
'SQLTERMINATOR',TRUE);
  SELECT DBMS_METADATA.GET_GRANTED_DDL(object_type,object_name,schema)
INTO obj_text FROM dual;
  DBMS_OUTPUT.PUT_LINE(obj_text);
EXCEPTION WHEN OTHERS THEN
  NULL;
END;
/
