CREATE OR REPLACE TRIGGER open_pdb
AFTER STARTUP ON DATABASE
DECLARE
  TYPE t_pdb IS TABLE OF cdb_pdbs.pdb_name%type;
  v_pdbs t_pdb;
BEGIN
  SELECT pdb_name BULK COLLECT INTO v_pdbs
  FROM cdb_pdbs WHERE pdb_name != 'PDB$SEED';
  FOR i IN 1..v_pdbs.count() LOOP
    EXECUTE IMMEDIATE 'ALTER PLUGGABLE DATABASE'||v_pdbs(i)||' OPEN';
  END LOOP;
END;
/