cursor = connection.cursor()
cursor.execute("select b from lob_tbl where id = :1", [1])
blob, = cursor.fetchone()
offset = 1
numBytesInChunk = 65536
with open("clob.jpg", "wb") as f:
  while True:
    data = blob.read(offset, numBytesInChunk)
    if data:
      f.write(data)
    if len(data) < numBytesInChunk:
      break
    offset += len(data)
cursor.close()
connection.close()