CREATE OR REPLACE VIEW mining_data AS
SELECT
a.CUST_ID, a.CUST_GENDER,
2003-a.CUST_YEAR_OF_BIRTH AGE,
a.CUST_MARITAL_STATUS, c.COUNTRY_NAME, a.CUST_INCOME_LEVEL,
b.EDUCATION,
b.OCCUPATION, b.HOUSEHOLD_SIZE, b.YRS_RESIDENCE,
b.AFFINITY_CARD,
b.BULK_PACK_DISKETTES, b.FLAT_PANEL_MONITOR,
b.HOME_THEATER_PACKAGE,
b.BOOKKEEPING_APPLICATION, b.PRINTER_SUPPLIES, b.Y_BOX_GAMES,
b.os_doc_set_kanji, b.comments
FROM
sh.customers a,
sh.supplementary_demographics b,
sh.countries c
WHERE
a.CUST_ID = b.CUST_ID
AND a.country_id = c.country_id
AND a.cust_id between 100001 and 104500;