SELECT /*+ MONITOR */ d.d_year, p.p_category, SUM(l.lo_quantity)
FROM ssb.date_dim d, ssb.part p, ssb.lineorder l
WHERE d.d_datekey = l.lo_orderdate
AND p.p_partkey = l.lo_partkey
GROUP BY d.d_year, p.p_category;