SELECT h.sid locking_sid,s.status status,s.program program_holding,
w.sid waiter_sid,sw.program program_waiting
FROM v$lock h,v$lock w,v$session s,v$session sw
WHERE (h.id1, h.id2) IN
(SELECT id1, id2 FROM v$lock WHERE request = 0
INTERSECT
SELECT id1, id2 FROM v$lock WHERE lmode = 0)
AND h.id1 = w.id1 AND h.id2 = w.id2 AND h.request = 0
AND w.lmode = 0 AND h.sid = s.sid AND w.sid = sw.sid;