SELECT a.first_name, a.last_name,
DBMS_LOGMNR.MINE_VALUE(redo_value,'HR.EMPLOYEES.SALARY') NEU,
DBMS_LOGMNR.MINE_VALUE(undo_value,'HR.EMPLOYEES.SALARY') ALT
FROM v$logmnr_contents b, hr.employees a
WHERE table_name = 'EMPLOYEES'
AND operation = 'UPDATE'
AND DBMS_LOGMNR.COLUMN_PRESENT(undo_value,'HR.EMPLOYEES.SALARY') = 1
AND DBMS_LOGMNR.COLUMN_PRESENT(redo_value,'HR.EMPLOYEES.SALARY') = 1
AND a.rowid = b.row_id;