import numpy as np
from sklearn.linear_model import LinearRegression
data = np.genfromtxt('anzeigenmarketing.csv', delimiter=',')
x = data[:, 0]
y = data[:, 1]
model = LinearRegression(fit_intercept=True)
model.fit(x[:, np.newaxis], y)
xfit = np.linspace(0, 300, 1000)
yfit = model.predict(xfit[:, np.newaxis])
plt.scatter(x, y)
plt.plot(xfit, yfit);
plt.show()