CREATE TABLE "SH"."SALES2" (
"PROD_ID" NUMBER NOT NULL,
"CUST_ID" NUMBER NOT NULL,
"TIME_ID" DATE NOT NULL,
"CHANNEL_ID" NUMBER NOT NULL,
"PROMO_ID" NUMBER NOT NULL,
"QUANTITY_SOLD" NUMBER(10,2) NOT NULL,
"AMOUNT_SOLD" NUMBER(10,2) NOT NULL
)
PARTITION BY RANGE ("TIME_ID")
 (PARTITION "SALES_2016"
   VALUES LESS THAN (TO_DATE('2017-01-01 00:00:00','YYYY-MM-DD HH24:MI:SS'))
   INMEMORY MEMCOMPRESS FOR CAPACITY,
 PARTITION "SALES_2017"
   VALUES LESS THAN (TO_DATE('2018-01-01 00:00:00','YYYY-MM-DD HH24:MI:SS'))
   INMEMORY MEMCOMPRESS FOR CAPACITY,
 PARTITION "SALES_2018"
   VALUES LESS THAN (TO_DATE('2019-01-01 00:00:00','YYYY-MM-DD HH24:MI:SS'))
   INMEMORY MEMCOMPRESS FOR QUERY,
 PARTITION "SALES_2019"
   VALUES LESS THAN (TO_DATE('2020-01-01 00:00:00','YYYY-MM-DD HH24:MI:SS'))
   INMEMORY MEMCOMPRESS FOR DML
);