CREATE MATERIALIZED VIEW sh.sum_customers_city
INMEMORY
USING INDEX
REFRESH ON DEMAND
FORCE
AS
SELECT c.cust_city, sum(s.amount_sold) AS umsatz
FROM sh.sales s, sh.customers c
WHERE s.cust_id = c.cust_id
GROUP BY c.cust_city;
ALTER MATERIALIZED VIEW sh.sum_customers_city
INMEMORY PRIORITY HIGH;