import java.sql.SQLException;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Properties;
import oracle.jdbc.pool.OracleDataSource;
import oracle.jdbc.OracleConnection;
import java.sql.DatabaseMetaData;
public class CloudConn {
  final static String DB_URL= "jdbc:oracle:thin:@tcps://adb.eufrankfurt-1.oraclecloud.com:1522/xxxxxxxxxxxx_dbnnnnnnnnn_tp.atp.oraclecloud.com";
  final static String DB_USER = "ADMIN";
  final static String DB_PASSWORD = "xxxxxxxx";
  public static void main(String args[]) throws SQLException {
    Properties info = new Properties();
    info.put(OracleConnection.CONNECTION_PROPERTY_USER_NAME, DB_USER);
    info.put(OracleConnection.CONNECTION_PROPERTY_PASSWORD, DB_PASSWORD);
    info.put(OracleConnection.CONNECTION_PROPERTY_TNS_ADMIN, "C:\\app\\oracle\\product\\19c\\dbhome_1\\network\\admin");
    info.put(OracleConnection.CONNECTION_PROPERTY_WALLET_LOCATION, "c:\\app\\oracle\\wallet");
    OracleDataSource ods = new OracleDataSource();
    ods.setURL(DB_URL);
    ods.setConnectionProperties(info);
    try (OracleConnection connection = (OracleConnection)
      ods.getConnection()) {
      DatabaseMetaData dbmd = connection.getMetaData();
      System.out.println("Driver Name: " +
      dbmd.getDriverName());
      System.out.println("Driver Version: " +
      dbmd.getDriverVersion());
      System.out.println("Default Row Prefetch Value is: " +
      connection.getDefaultRowPrefetch());
      System.out.println("Database Username is: " +
        connection.getUserName());
      System.out.println(dbmd.getURL());
      System.out.println();
      printCountries(connection);
    }
  }
  public static void printCountries(Connection connection)
  throws SQLException {
    try (Statement statement = connection.createStatement()) {
    try (ResultSet resultSet = statement.executeQuery("SELECT country_name, country_region, country_iso_code FROM sh.countries")) {
      System.out.println("Country name" + " |" + "Region ISO");
      System.out.println("-----------------------------------------------------");
      while (resultSet.next())
        System.out.println(String.format("%-24s", resultSet.getString(1)) + " " + String.format("|%-12s|",resultSet.getString(2)) + " " + ‘resultSet.getString(3));
      }
    }
  }
}