BEGIN
DBMS_CLOUD.CREATE_EXTERNAL_TABLE(
table_name=>'CUSTOMER_EXT',
credential_name=>'OBJECT_STORAGE',
file_uri_list=>'https://objectstorage.eu-frankfurt-1.oraclecloud.com/n/xxxxxxxxx/b/bucket-20200420-1947/o/customer.tbl',
format=>json_object('delimiter' value '|'),
column_list=>'c_custkey NUMBER,
c_name CHAR(25),
c_address CHAR(25),
c_city CHAR(25),
c_nation CHAR(15),
c_region CHAR(12),
c_phone CHAR(15),
c_mktsegment CHAR(10)');
END;
/